/*
 * Copyright 2000-2013 Vaadin Ltd.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

/**
 * 
 */
package com.xmlnamespace.panel.vaadin.ui;

import com.vaadin.server.AbstractExtension;
import com.vaadin.ui.UI;
import com.xmlnamespace.panel.vaadin.shared.ui.LoginHeartbeatServerRpc;

/**
 * 
 * @since 
 * @author Vaadin Ltd
 */
public class LoginHeartbeat extends AbstractExtension {
    private static final long serialVersionUID = 2551444968514376700L;
    
    private final LoginHeartbeatServerRpc rpc = new LoginHeartbeatServerRpc() {
        private static final long serialVersionUID = -5744410341335827007L;

        // Do nothing
        public void beat() {};
    };
    
    public LoginHeartbeat(final UI target) {
        extend(target);
        
        registerRpc(rpc);
    }

    public void extend(UI target) {
        super.extend(target);
    }

}
